_ocsd_extern_dcd_inst Struct Reference
OpenCSD Library : Custom External Decoder C-API

`#include <ocsd_c_api_custom.h>`

## Public Attributes

fnTraceDataIn | fn_data_in
fnUpdatePktMonFlags | fn_update_pkt_mon
void * | decoder_handle
char * | p_decoder_name
uint8_t | cs_id

## Detailed Description

Owned by the library instance object, this structure is filled in by the ocsd_extern_dcd_fact_t createDecoder() function.

Definition at line 90 of file ocsd_c_api_custom.h.

## Member Data Documentation

## cs_id

uint8_t _ocsd_extern_dcd_inst::cs_id

Coresight ID for the instance - extracted from the config on creation.

Definition at line 98 of file ocsd_c_api_custom.h.

## decoder_handle

void* _ocsd_extern_dcd_inst::decoder_handle

Instance handle for the decoder - used by library to call the decoder call in functions

Definition at line 96 of file ocsd_c_api_custom.h.

## fn_data_in

fnTraceDataIn _ocsd_extern_dcd_inst::fn_data_in

raw trace data input function to decoder

Definition at line 92 of file ocsd_c_api_custom.h.

## fn_update_pkt_mon

fnUpdatePktMonFlags _ocsd_extern_dcd_inst::fn_update_pkt_mon

update the packet monitor / sink usage flags

Definition at line 93 of file ocsd_c_api_custom.h.

## p_decoder_name

char* _ocsd_extern_dcd_inst::p_decoder_name

type name of the decoder - may be used in logging

Definition at line 97 of file ocsd_c_api_custom.h.

The documentation for this struct was generated from the following file:

- /build/libopencsd-nipXOR/libopencsd-1.2.0/decoder/include/opencsd/c_api/ocsd_c_api_custom.h